//----------------------------------------------------------------------------
//  Project Test_At3dx_LoadLibrary
//  MicroMouse Productions
//  Copyright  2005-2012. All Rights Reserved.
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------
#ifndef Test_At3dx_LoadLibraryAppH
#define Test_At3dx_LoadLibraryAppH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_LoadLibrary : public TForm
{
__published:	// IDE-managed Components
  TButton *DoLoadLibrary;
  TButton *DoStartDll;
  TButton *DoStopDll;
  TButton *DoFreeLibrary;
  TLabel *LibraryLabel;
  TLabel *DllLabel;
  TButton *ReadObjFile;
  TPanel *ViewPanel;
  TCheckBox *UseOpenGL;
  void __fastcall DoLoadLibraryClick(TObject *Sender);
  void __fastcall DoStartDllClick(TObject *Sender);
  void __fastcall DoStopDllClick(TObject *Sender);
  void __fastcall DoFreeLibraryClick(TObject *Sender);
  void __fastcall ReadObjFileClick(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall UseOpenGLClick(TObject *Sender);
private:	// User declarations
  void __fastcall Update_Labels(void);
  void __fastcall Start_Library(void);
  void __fastcall Stop_Library(void);
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall Read_3D_File(void);
  HINSTANCE at3dLibHandle;
  int dllOpen;
  int fileLoaded;
  char inName[MAX_PATH];
  int useOglFlag;
public:		// User declarations
  __fastcall TTest_At3dx_LoadLibrary(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_LoadLibrary *Test_At3dx_LoadLibrary;
//---------------------------------------------------------------------------
#endif
